TemplateTestSuite (Velocity 1.4 API)
Keywords: org.apache.velocity.test.TemplateTestSuite class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class TemplateTestSuite

    java.lang.Object
      junit.framework.TestSuite
          org.apache.velocity.test.TemplateTestSuite

All Implemented Interfaces:
  TemplateTestBase, junit.framework.Test

public class TemplateTestSuite
extends junit.framework.TestSuite
implements TemplateTestBase

Test suite for Templates.

Version:
  $Id: TemplateTestSuite.java,v 1.6.8.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Daniel Rall, Jason van Zyl, Geir Magnusson Jr., Jon S. Stevens

Field Summary
`private java.util.Properties` | `testProperties`

Fields inherited from class junit.framework.TestSuite
``

Fields inherited from interface org.apache.velocity.test.TemplateTestBase
`CMP_FILE_EXT, COMPARE_DIR, FILE_RESOURCE_LOADER_PATH, RESULT_DIR, RESULT_FILE_EXT, TEST_CASE_PROPERTIES, TMPL_FILE_EXT`

Constructor Summary
`TemplateTestSuite()` Creates an instace of the Apache Velocity test suite.

Method Summary
`private void` | `addTemplateTestCases()` Adds the template test cases to run to this test suite.
`private static java.lang.String` | `getTemplateTestKey(int nbr)` Macro which returns the properties file key for the specified template test number.

Methods inherited from class junit.framework.TestSuite
`addTest, addTestSuite, countTestCases, getName, run, runTest, setName, testAt, testCount, tests, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### testProperties

    private java.util.Properties testProperties

Constructor Detail

### TemplateTestSuite

    public TemplateTestSuite()

  Creates an instace of the Apache Velocity test suite.

Method Detail

### addTemplateTestCases

    private void addTemplateTestCases()

  Adds the template test cases to run to this test suite. Template test cases are listed in the `TEST_CASE_PROPERTIES` file.

### getTemplateTestKey

    private static final java.lang.String getTemplateTestKey(int nbr)

  Macro which returns the properties file key for the specified template test number.

  Parameters:
    `nbr` - The template test number to return a property key for.
  Returns:
    The property key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.